package com.yfd.platform.modules.algorithm.service;

import com.yfd.platform.modules.algorithm.domain.AlgorithmArrangeDevice;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zhengsl
 * @since 2025-06-06
 */
public interface IAlgorithmArrangeDeviceService extends IService<AlgorithmArrangeDevice> {

    /***********************************
    * 用途说明: 查询当前布点的主设备数量
    * 参数说明 arrangeId 算法布点ID
    * 返回值说明: java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
    ***********************************/
    List<Map<String, Object>> getArrangeDeviceInfo(String arrangeId);
}
