package com.yfd.platform.modules.algorithm.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhengsl
 * @since 2025-06-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_algorithm_arrange")
public class AlgorithmArrange implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * uuid
     */
    private String id;

    /**
     * 布点方案名称
     */
    private String arrangeName;

    /**
     * 变电站id
     */
    private String stationId;

    /**
     * 变电站名称
     */
    private String stationName;

    /**
     * 和中台对应资源 ID 保持一致
     */
    private String stationCode;

    /**
     * 变电站类型
     */
    private String stationType;

    /**
     * 电压等级
     */
    private String voltLevel;

    /**
     * 业务类型；1：远程智能巡视；2：一次设备在线监测；3：智能锁控；4：动环监测
     */
    private String businessType;

    /**
     * 主设备类型，逗号分隔
     */
    private String deviceTypeList;

    /**
     * 变电站平面原图地址
     */
    private String imageUrl;

    /**
     * 变电站布点图地址
     */
    private String arrangeImageUrl;

    /**
     * 是否有图纸0：无；1：有
     */
    private String isImageFlag;

    /**
     * 数据状态
     */
    private String datastatus;

    /**
     * 修改人
     */
    private String lastmodifier;

    /**
     * 最近修改时间
     */
    private LocalDateTime lastmodifydate;

    /**
     * 备用1(排序编号)
     */
    private Integer custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;


}
