package com.yfd.platform.modules.algorithm.domain;

import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author zhengsl
 * @since 2025-06-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_algorithm_arrange_device")
public class AlgorithmArrangeDevice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * uuid
     */
    private String id;

    /**
     * 布点id
     */
    private String arrangeId;

    /**
     * 区域id
     */
    private String areaId;

    /**
     * 区域名称
     */
    private String areaName;

    /**
     * 设备类型；1：摄像机；2：声纹传感器；3：局放传感器；4：温湿度传感器
     */
    private String patroldeviceType;

    /**
     * 设备坐标;{"x":1868,"y":1060}
     */
    private String patroldevicePos;

    /**
     * 设备描述
     */
    private String patroldeviceDes;

}
